Get Live Aggregation
Get live aggregation data for up to 7 days of data at a time for a requested collection or aggregation.
Query Parameters
6 fieldshoursThe number of hours to return in the response.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
output_parametersThe output parameters to include in the response.
collection_idUnique identifier for your collection.
aggregation_idUnique identifier that belongs to the requested collection.
formatResponse format
Responses
200OK
LiveAggregationResponse▼
OK
estimated_actualsGET/data/live/aggregations
curl -X GET "https://api.solcast.com.au/data/live/aggregations?output_parameters=pv_estimate&collection_id=aust_state_total&aggregation_id=nsw" \
-H "Authorization: Bearer $API_KEY"{
"estimated_actuals": [
{
"pv_estimate": 3640.6402,
"period_end": "2026-07-30T00:00:00+00:00",
"period": "PT60M"
},
{
"pv_estimate": 2483.8188,
"period_end": "2026-07-29T23:00:00+00:00",
"period": "PT60M"
},
{
"pv_estimate": 939.6851,
"period_end": "2026-07-29T22:00:00+00:00",
"period": "PT60M"
}
]
}Get Forecast Aggregation
Get forecast aggregation data for up to 14 days of data at a time for a requested collection or aggregation.
Query Parameters
6 fieldshoursThe number of hours to return in the response.
periodLength of the averaging period in ISO 8601 duration format. Default is PT30M.
output_parametersThe output parameters to include in the response.
collection_idUnique identifier for your collection.
aggregation_idUnique identifier that belongs to the requested collection.
formatResponse format
Responses
200OK
ForecastAggregationResponse▼
OK
forecastsGET/data/forecast/aggregations
curl -X GET "https://api.solcast.com.au/data/forecast/aggregations?output_parameters=pv_estimate&collection_id=aust_state_total&aggregation_id=nsw" \
-H "Authorization: Bearer $API_KEY"{
"forecasts": [
{
"pv_estimate": 4445.5105,
"period_end": "2026-07-30T01:00:00+00:00",
"period": "PT60M"
},
{
"pv_estimate": 4861.0085,
"period_end": "2026-07-30T02:00:00+00:00",
"period": "PT60M"
},
{
"pv_estimate": 4882.349,
"period_end": "2026-07-30T03:00:00+00:00",
"period": "PT60M"
}
]
}